import { EventEmitter, OnInit, TemplateRef } from '@angular/core';
import { TreeNode } from './treenode';
import { TreeComponent } from './tree';
export declare class TreeNodeComponent implements OnInit {
    tree: TreeComponent;
    /**
     * input tree-node value
     * @docs-private
     */
    node: TreeNode;
    /**
     * support custom template
     */
    optionTpl: TemplateRef<any>;
    /**
     * tree node expand event
     */
    onExpandNode: EventEmitter<{}>;
    constructor(tree: TreeComponent);
    ngOnInit(): void;
    /**
     * listen tree-node click event
     * @docs-private
     */
    onNodeClick(): void;
    /**
     * fold or unfold tree-node event
     * @docs-private
     */
    toggle(event: Event): void;
    /**
     * tree node expand event
     * @docs-private
     */
    expandNode(event: TreeNode): void;
    /**
     * judge text length whether is over long or not
     * @docs-private
     */
    judgeOverLong(event: TreeNode): boolean;
}
